package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 老师档案信息对象 teacher_info
 * 
 * @author ruoyi
 * @date 2023-07-24
 */
public class TeacherInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 老师id(user表id)） */
    @Excel(name = "老师id(user表id)）")
    private Long teacherId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 性别(1：男，2：女) */
    @Excel(name = "性别(1：男，2：女)")
    private String sex;

    /** 年龄 */
    @Excel(name = "年龄")
    private String age;

    /** 联系方式 */
    @Excel(name = "联系方式")
    private String phone;

    /** 职称 */
    @Excel(name = "职称")
    private String professional;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String idCard;

    /** 身高 */
    @Excel(name = "身高")
    private String height;

    /** 体重 */
    @Excel(name = "体重")
    private String weight;

    /** 血型 */
    @Excel(name = "血型")
    private String bloodType;

    /** 政治面貌 */
    @Excel(name = "政治面貌")
    private String politicalStatus;

    /** 毕业证明照(地址) */
    @Excel(name = "毕业证明照(地址)")
    private String graduationPhoto;

    /** 毕业证书照(地址) */
    @Excel(name = "学位证书照(地址)")
    private String degreePhoto;

    /** 教资证明照(地址) */
    @Excel(name = "教资证明照(地址)")
    private String teachingPhoto;

    /** 职称证明照(地址) */
    @Excel(name = "职称证明照(地址)")
    private String professionalPhoto;

    /** 证件照(地址) */
    @Excel(name = "证件照(地址)")
    private String identificationPhoto;

    /** 门禁照(地址) */
    @Excel(name = "门禁照(地址)")
    private String entrancePermit;

    /** 居住地址 */
    @Excel(name = "居住地址")
    private String address;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTeacherId(Long teacherId) 
    {
        this.teacherId = teacherId;
    }

    public Long getTeacherId() 
    {
        return teacherId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setSex(String sex) 
    {
        this.sex = sex;
    }

    public String getSex() 
    {
        return sex;
    }
    public void setAge(String age) 
    {
        this.age = age;
    }

    public String getAge() 
    {
        return age;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setProfessional(String professional) 
    {
        this.professional = professional;
    }

    public String getProfessional() 
    {
        return professional;
    }
    public void setIdCard(String idCard) 
    {
        this.idCard = idCard;
    }

    public String getIdCard() 
    {
        return idCard;
    }
    public void setHeight(String height) 
    {
        this.height = height;
    }

    public String getHeight() 
    {
        return height;
    }
    public void setWeight(String weight) 
    {
        this.weight = weight;
    }

    public String getWeight() 
    {
        return weight;
    }
    public void setBloodType(String bloodType) 
    {
        this.bloodType = bloodType;
    }

    public String getBloodType() 
    {
        return bloodType;
    }
    public void setPoliticalStatus(String politicalStatus) 
    {
        this.politicalStatus = politicalStatus;
    }

    public String getPoliticalStatus() 
    {
        return politicalStatus;
    }
    public void setGraduationPhoto(String graduationPhoto) 
    {
        this.graduationPhoto = graduationPhoto;
    }

    public String getGraduationPhoto() 
    {
        return graduationPhoto;
    }
    public void setDegreePhoto(String degreePhoto) 
    {
        this.degreePhoto = degreePhoto;
    }

    public String getDegreePhoto() 
    {
        return degreePhoto;
    }
    public void setTeachingPhoto(String teachingPhoto) 
    {
        this.teachingPhoto = teachingPhoto;
    }

    public String getTeachingPhoto() 
    {
        return teachingPhoto;
    }
    public void setProfessionalPhoto(String professionalPhoto) 
    {
        this.professionalPhoto = professionalPhoto;
    }

    public String getProfessionalPhoto() 
    {
        return professionalPhoto;
    }
    public void setIdentificationPhoto(String identificationPhoto) 
    {
        this.identificationPhoto = identificationPhoto;
    }

    public String getIdentificationPhoto() 
    {
        return identificationPhoto;
    }
    public void setEntrancePermit(String entrancePermit) 
    {
        this.entrancePermit = entrancePermit;
    }

    public String getEntrancePermit() 
    {
        return entrancePermit;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("teacherId", getTeacherId())
            .append("name", getName())
            .append("sex", getSex())
            .append("age", getAge())
            .append("phone", getPhone())
            .append("professional", getProfessional())
            .append("idCard", getIdCard())
            .append("height", getHeight())
            .append("weight", getWeight())
            .append("bloodType", getBloodType())
            .append("politicalStatus", getPoliticalStatus())
            .append("graduationPhoto", getGraduationPhoto())
            .append("degreePhoto", getDegreePhoto())
            .append("teachingPhoto", getTeachingPhoto())
            .append("professionalPhoto", getProfessionalPhoto())
            .append("identificationPhoto", getIdentificationPhoto())
            .append("entrancePermit", getEntrancePermit())
            .append("address", getAddress())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
